<?php
/**
 * @file
 * cms_core.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function cms_core_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "flexslider" && $api == "flexslider_default_preset") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_image_styles_alter().
 */
function cms_core_image_styles_alter(&$data) {
  if (isset($data['large'])) {

  if ($data['large']['storage'] == IMAGE_STORAGE_DEFAULT) {
    $data['large']['effects']['0']['data']['height'] = 555;
  }

  if ($data['large']['storage'] == IMAGE_STORAGE_DEFAULT) {
    $data['large']['effects']['0']['data']['width'] = 555;
  }

  if ($data['large']['storage'] == IMAGE_STORAGE_DEFAULT) {
    $data['large']['effects']['0']['name'] = 'image_scale_and_crop';
  }

  if ($data['large']['storage'] == IMAGE_STORAGE_DEFAULT) {
    $data['large']['effects']['0']['weight'] = 2;
  }

  if ($data['large']['storage'] == IMAGE_STORAGE_DEFAULT) {
    $data['large']['label'] = 'Large';
  }

  if ($data['large']['storage'] == IMAGE_STORAGE_DEFAULT) {
    unset($data['large']['effects']['0']['data']['upscale']);
  }
  }
  if (isset($data['medium'])) {

  if ($data['medium']['storage'] == IMAGE_STORAGE_DEFAULT) {
    $data['medium']['effects']['0']['data']['height'] = 360;
  }

  if ($data['medium']['storage'] == IMAGE_STORAGE_DEFAULT) {
    $data['medium']['effects']['0']['data']['width'] = 360;
  }

  if ($data['medium']['storage'] == IMAGE_STORAGE_DEFAULT) {
    $data['medium']['effects']['0']['name'] = 'image_scale_and_crop';
  }

  if ($data['medium']['storage'] == IMAGE_STORAGE_DEFAULT) {
    $data['medium']['effects']['0']['weight'] = 2;
  }

  if ($data['medium']['storage'] == IMAGE_STORAGE_DEFAULT) {
    $data['medium']['label'] = 'Medium';
  }

  if ($data['medium']['storage'] == IMAGE_STORAGE_DEFAULT) {
    unset($data['medium']['effects']['0']['data']['upscale']);
  }
  }
  if (isset($data['thumbnail'])) {

  if ($data['thumbnail']['storage'] == IMAGE_STORAGE_DEFAULT) {
    $data['thumbnail']['effects']['0']['data']['height'] = 68;
  }

  if ($data['thumbnail']['storage'] == IMAGE_STORAGE_DEFAULT) {
    $data['thumbnail']['effects']['0']['data']['width'] = 68;
  }

  if ($data['thumbnail']['storage'] == IMAGE_STORAGE_DEFAULT) {
    $data['thumbnail']['effects']['0']['name'] = 'image_scale_and_crop';
  }

  if ($data['thumbnail']['storage'] == IMAGE_STORAGE_DEFAULT) {
    $data['thumbnail']['effects']['0']['weight'] = 2;
  }

  if ($data['thumbnail']['storage'] == IMAGE_STORAGE_DEFAULT) {
    $data['thumbnail']['label'] = 'Thumbnail';
  }

  if ($data['thumbnail']['storage'] == IMAGE_STORAGE_DEFAULT) {
    unset($data['thumbnail']['effects']['0']['data']['upscale']);
  }
  }
}

/**
 * Implements hook_image_default_styles().
 */
function cms_core_image_default_styles() {
  $styles = array();

  // Exported image style: bootstrap3_col1.
  $styles['bootstrap3_col1'] = array(
    'name' => 'bootstrap3_col1',
    'label' => 'Bootstrap3 col1',
    'effects' => array(
      12 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'dimensions callback' => 'image_scale_dimensions',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 68,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col12.
  $styles['bootstrap3_col12'] = array(
    'name' => 'bootstrap3_col12',
    'label' => 'Bootstrap3 col12',
    'effects' => array(
      19 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'dimensions callback' => 'image_scale_dimensions',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 1140,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col1_square.
  $styles['bootstrap3_col1_square'] = array(
    'name' => 'bootstrap3_col1_square',
    'label' => 'Bootstrap3 col1 Square',
    'effects' => array(
      21 => array(
        'label' => 'Scale and crop',
        'help' => 'Scale and crop will maintain the aspect-ratio of the original image, then crop the larger dimension. This is most useful for creating perfectly square thumbnails without stretching the image.',
        'effect callback' => 'image_scale_and_crop_effect',
        'dimensions callback' => 'image_resize_dimensions',
        'form callback' => 'image_resize_form',
        'summary theme' => 'image_resize_summary',
        'module' => 'image',
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 68,
          'height' => 68,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col2.
  $styles['bootstrap3_col2'] = array(
    'name' => 'bootstrap3_col2',
    'label' => 'Bootstrap3 col2',
    'effects' => array(
      13 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'dimensions callback' => 'image_scale_dimensions',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 165,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col3.
  $styles['bootstrap3_col3'] = array(
    'name' => 'bootstrap3_col3',
    'label' => 'Bootstrap3 col3',
    'effects' => array(
      14 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'dimensions callback' => 'image_scale_dimensions',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 263,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col3_square.
  $styles['bootstrap3_col3_square'] = array(
    'name' => 'bootstrap3_col3_square',
    'label' => 'Bootstrap3 col3 Square',
    'effects' => array(
      23 => array(
        'label' => 'Scale and crop',
        'help' => 'Scale and crop will maintain the aspect-ratio of the original image, then crop the larger dimension. This is most useful for creating perfectly square thumbnails without stretching the image.',
        'effect callback' => 'image_scale_and_crop_effect',
        'dimensions callback' => 'image_resize_dimensions',
        'form callback' => 'image_resize_form',
        'summary theme' => 'image_resize_summary',
        'module' => 'image',
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 263,
          'height' => 263,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col4.
  $styles['bootstrap3_col4'] = array(
    'name' => 'bootstrap3_col4',
    'label' => 'Bootstrap3 col4',
    'effects' => array(
      15 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'dimensions callback' => 'image_scale_dimensions',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 360,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col4_square.
  $styles['bootstrap3_col4_square'] = array(
    'name' => 'bootstrap3_col4_square',
    'label' => 'Bootstrap3 col4 square',
    'effects' => array(
      24 => array(
        'label' => 'Scale and crop',
        'help' => 'Scale and crop will maintain the aspect-ratio of the original image, then crop the larger dimension. This is most useful for creating perfectly square thumbnails without stretching the image.',
        'effect callback' => 'image_scale_and_crop_effect',
        'dimensions callback' => 'image_resize_dimensions',
        'form callback' => 'image_resize_form',
        'summary theme' => 'image_resize_summary',
        'module' => 'image',
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 360,
          'height' => 360,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col6.
  $styles['bootstrap3_col6'] = array(
    'name' => 'bootstrap3_col6',
    'label' => 'Bootstrap3 col6',
    'effects' => array(
      16 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'dimensions callback' => 'image_scale_dimensions',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 555,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col8.
  $styles['bootstrap3_col8'] = array(
    'name' => 'bootstrap3_col8',
    'label' => 'Bootstrap3 col8',
    'effects' => array(
      17 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'dimensions callback' => 'image_scale_dimensions',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 750,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col8_banner.
  $styles['bootstrap3_col8_banner'] = array(
    'name' => 'bootstrap3_col8_banner',
    'label' => 'Bootstrap3 col8 Banner',
    'effects' => array(
      22 => array(
        'label' => 'Scale and crop',
        'help' => 'Scale and crop will maintain the aspect-ratio of the original image, then crop the larger dimension. This is most useful for creating perfectly square thumbnails without stretching the image.',
        'effect callback' => 'image_scale_and_crop_effect',
        'dimensions callback' => 'image_resize_dimensions',
        'form callback' => 'image_resize_form',
        'summary theme' => 'image_resize_summary',
        'module' => 'image',
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 750,
          'height' => 300,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col9.
  $styles['bootstrap3_col9'] = array(
    'name' => 'bootstrap3_col9',
    'label' => 'Bootstrap3 col9',
    'effects' => array(
      18 => array(
        'label' => 'Scale',
        'help' => 'Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.',
        'effect callback' => 'image_scale_effect',
        'dimensions callback' => 'image_scale_dimensions',
        'form callback' => 'image_scale_form',
        'summary theme' => 'image_scale_summary',
        'module' => 'image',
        'name' => 'image_scale',
        'data' => array(
          'width' => 848,
          'height' => '',
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: bootstrap3_col9_banner.
  $styles['bootstrap3_col9_banner'] = array(
    'name' => 'bootstrap3_col9_banner',
    'label' => 'Bootstrap3 col9 Banner',
    'effects' => array(
      20 => array(
        'label' => 'Scale and crop',
        'help' => 'Scale and crop will maintain the aspect-ratio of the original image, then crop the larger dimension. This is most useful for creating perfectly square thumbnails without stretching the image.',
        'effect callback' => 'image_scale_and_crop_effect',
        'dimensions callback' => 'image_resize_dimensions',
        'form callback' => 'image_resize_form',
        'summary theme' => 'image_resize_summary',
        'module' => 'image',
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 848,
          'height' => 339,
        ),
        'weight' => 1,
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function cms_core_node_info() {
  $items = array(
    'page' => array(
      'name' => t('Basic page'),
      'base' => 'node_content',
      'description' => t('Use <em>basic pages</em> for your static content, such as an \'About us\' page.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  return $items;
}
